Skip to main content

List Volumes (V2)

This operation lists all volumes in the specified project.

GET/v2/volumes
Connection Endpoint

The base URL for this API is in the following format:

https://api.cloud.zilliz.com

📘Notes

The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.

export BASE_URL="https://api.cloud.zilliz.com"
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges or a pair of colon-joined username and password, like username:password.

Example Value: Bearer {{TOKEN}}
projectIdstringqueryrequired

The target project of this operation.

Example Value: proj-xxxxxxxxxxxxxxxxx
pageSizeintegerquery

The number of records to include in each response.

Example Value: 10
currentPageintegerquery

The current page number.

Example Value: 1
typestringquery

The category of the volume. Valid values are MANAGED and EXTERNAL.

export TOKEN="YOUR_API_KEY"

curl --request GET \
--url "${BASE_URL}/v2/volumes?projectId=proj-xxxxxxxxxxxxxxxxx" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Content-Type: application/json"
Responses200 - application/json
codeinteger

Response code.

dataobject
countinteger

Total number of volumes.

currentPageinteger

Current page number.

pageSizeinteger

Number of volumes per page.

volumesarray

List of volumes.

[]volumesobject
volumeNamestring

The name of the volume.

typestring

The category of the volume.

Returns an error message.

codeinteger

Response code.

messagestring

Error message.

{
"code": 200,
"data": {
"count": 3,
"currentPage": 1,
"pageSize": 10,
"volumes": [
{
"volumeName": "my_volume_1",
"type": "MANAGED"
},
{
"volumeName": "my_volume_2",
"type": "EXTERNAL"
},
{
"volumeName": "my_volume_3",
"type": "MANAGED"
}
]
}
}